# rrx.rb version 1.1: 2014/10/30
if RUBY_VERSION < "1.9"
  enc = $KCODE.to_s.downcase[0,1]
else
  enc = Encoding.default_internal
  enc = Encoding.default_external  unless enc
  enc = enc.to_s.downcase
end

case enc
when 'euc-jp', 'e'
    require "rrxeuc"
when 'utf-8', 'u'
    require "rrxutf"
when 'windows-31j', 'cp932', 'shift_jis', 'shift-jis', 's'
    require "rrxwin"
else
    require "rrxutf"
end
