#! ruby -Ku
  # encoding: utf-8
  # copy 'exlap.rb' etc. to the ruby library path
require "fileutils"

def remove_old_file(rlist)
    ary = $:
    count = 0
    ary.each do |dir|
      next  if dir =~ /^\./
      dir = dir.gsub(/\\/, "/")
      dir = dir.sub(/\/+$/, "")
      rlist.each do |scr|
        filename = dir + "/#{scr}"
        if test(?e, filename)
          File.unlink(filename)
          puts "delete '#{filename}'"
          count += 1
        end
      end
    end
    return count
end

## main
wstr = <<EOS1
exlap.rb
exlap_utf.rb
wrdap.rb
pptap.rb
yado.rb
yados.rb
rrxwin.rb
rrxutf.rb
rrxeuc.rb
rrx.rb
rpt.rb
kpdf.rb
ostruct_r.rb
binomer.rb
EOS1
rb_list = wstr.split(/\n/)

dest_dir = nil
ary = $:
ary.each {|dir|
  dir = dir.gsub(/\\/, "/")
  if dir =~ /site_ruby\/\d[^\/]+$/
    dest_dir = dir
    break
  end
}
if dest_dir
  remove_old_file(rb_list)
  rb_list.each do |rbscr|
    scr = "./libs/#{rbscr}"
    if test(?e, scr)
      FileUtils.cp(scr, dest_dir, {:preserve=>true})
      puts "copy #{rbscr} to '#{dest_dir}'"
    else
      puts "can't copy '#{rbscr}'"
    end
  end
end
